Przejdź do głównej zawartości

SCIM 2.0

SCIM 2.0 service provider for user and group provisioning from your identity provider.

GET /scim/v2/ServiceProviderConfig

Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.

Status Opis
200 Capabilities of the SCIM service.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig"
],
"patch": {
"supported": true
},
"bulk": {
"supported": false,
"maxOperations": 0,
"maxPayloadSize": 0
},
"filter": {
"supported": true,
"maxResults": 200
},
"changePassword": {
"supported": false
},
"sort": {
"supported": true
},
"etag": {
"supported": false
},
"authenticationSchemes": [
{
"type": "oauthbearertoken",
"name": "OAuth Bearer Token",
"primary": true
}
]
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ServiceProviderConfig"

GET /scim/v2/ResourceTypes

Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.

Status Opis
200 Supported resource types (User, Group).

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "User",
"name": "User",
"endpoint": "/Users",
"schema": "urn:ietf:params:scim:schemas:core:2.0:User"
},
{
"id": "Group",
"name": "Group",
"endpoint": "/Groups",
"schema": "urn:ietf:params:scim:schemas:core:2.0:Group"
}
]
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/ResourceTypes"

GET /scim/v2/Schemas

Uwierzytelnianie: Brak: żądanie jest uwierzytelniane podpisem opisanym powyżej.

Status Opis
200 Supported schemas.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 2,
"Resources": [
{
"id": "urn:ietf:params:scim:schemas:core:2.0:User",
"name": "User",
"description": "User Account"
},
{
"id": "urn:ietf:params:scim:schemas:core:2.0:Group",
"name": "Group",
"description": "Group"
}
]
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Schemas"

GET /scim/v2/Users

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
filter query string nie SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer nie
count query integer nie
Status Opis
200 Users of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"meta": {
"resourceType": "User",
"location": "/scim/v2/Users/[email protected]"
}
}
]
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Users

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

application/scim+json

Nazwa Typ Wymagany Opis
schemas array<string> tak
id string nie
externalId string \ null nie
userName string tak
name object nie
name.givenName string nie
name.familyName string nie
name.formatted string nie
displayName string nie
emails array<object> nie
emails[].value string (email) nie
emails[].type string nie
emails[].primary boolean nie
active boolean nie
userType string nie
title string \ null nie
locale string \ null nie
timezone string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null nie
meta object nie
meta.resourceType string nie
meta.created string \ null (date-time) nie
meta.lastModified string \ null (date-time) nie
meta.location string nie
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "[email protected]",
"externalId": "00u1a2b3c4D5e6F7g8h9",
"name": {
"givenName": "Jane",
"familyName": "Doe"
},
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true
}
Status Opis
201 User created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
409 A user with this userName already exists.

Przykład 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Okno terminala
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"userName":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","name":{"givenName":"Jane","familyName":"Doe"},"emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true}'

GET /scim/v2/Users/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak
Status Opis
200 User.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PUT /scim/v2/Users/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak

application/scim+json

Nazwa Typ Wymagany Opis
schemas array<string> tak
id string nie
externalId string \ null nie
userName string tak
name object nie
name.givenName string nie
name.familyName string nie
name.formatted string nie
displayName string nie
emails array<object> nie
emails[].value string (email) nie
emails[].type string nie
emails[].primary boolean nie
active boolean nie
userType string nie
title string \ null nie
locale string \ null nie
timezone string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User object nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.employeeNumber string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.department string \ null nie
urn:ietf:params:scim:schemas:extension:enterprise:2.0:User.manager object \ null nie
meta object nie
meta.resourceType string nie
meta.created string \ null (date-time) nie
meta.lastModified string \ null (date-time) nie
meta.location string nie
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Status Opis
200 User replaced.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Okno terminala
curl -X PUT "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:User"],"id":"[email protected]","externalId":"00u1a2b3c4D5e6F7g8h9","userName":"[email protected]","name":{"givenName":"Jane","familyName":"Doe","formatted":"Jane Doe"},"displayName":"Jane Doe","emails":[{"value":"[email protected]","type":"work","primary":true}],"active":true,"userType":"User","urn:ietf:params:scim:schemas:extension:enterprise:2.0:User":{"employeeNumber":"E-10442","department":"Finance","manager":null},"meta":{"resourceType":"User","created":"2026-11-01T08:00:00.000Z","lastModified":"2026-11-01T08:00:00.000Z","location":"/scim/v2/Users/[email protected]"}}'

PATCH /scim/v2/Users/{id}

Supports add, replace and remove operations, for example deactivating with {"op":"replace","path":"active","value":false}.

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak

application/scim+json

Nazwa Typ Wymagany Opis
schemas array<string> nie
Operations array<object> tak
Operations[].op string (add, replace, remove, Add, Replace, Remove) tak
Operations[].path string nie
Operations[].value nie
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "replace",
"path": "active",
"value": false
}
]
}
Status Opis
200 User updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"externalId": "00u1a2b3c4D5e6F7g8h9",
"userName": "[email protected]",
"name": {
"givenName": "Jane",
"familyName": "Doe",
"formatted": "Jane Doe"
},
"displayName": "Jane Doe",
"emails": [
{
"value": "[email protected]",
"type": "work",
"primary": true
}
],
"active": true,
"userType": "User",
"urn:ietf:params:scim:schemas:extension:enterprise:2.0:User": {
"employeeNumber": "E-10442",
"department": "Finance",
"manager": null
},
"meta": {
"resourceType": "User",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Users/[email protected]"
}
}
Okno terminala
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"replace","path":"active","value":false}]}'

DELETE /scim/v2/Users/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak
Status Opis
204 User deprovisioned.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
Okno terminala
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Users/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

GET /scim/v2/Groups

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
filter query string nie SCIM filter, for example userName eq "[email protected]". and is supported.
startIndex query integer nie
count query integer nie
Status Opis
200 Groups of the token’s tenant.
401 SCIM token missing, invalid, revoked or expired.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:ListResponse"
],
"totalResults": 1,
"startIndex": 1,
"itemsPerPage": 1,
"Resources": [
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
]
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

POST /scim/v2/Groups

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

application/scim+json

Nazwa Typ Wymagany Opis
schemas array<string> tak
id string nie
displayName string tak
externalId string \ null nie
members array<object> nie
members[].value string tak
members[].type string nie
members[].display string nie
meta object nie
meta.resourceType string nie
meta.created string \ null (date-time) nie
meta.lastModified string \ null (date-time) nie
meta.location string nie
{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"displayName": "Service Desk L1",
"members": [
{
"value": "[email protected]"
}
]
}
Status Opis
201 Group created.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.

Przykład 201

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Okno terminala
curl -X POST "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:schemas:core:2.0:Group"],"displayName":"Service Desk L1","members":[{"value":"[email protected]"}]}'

GET /scim/v2/Groups/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak
Status Opis
200 Group.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Okno terminala
curl -X GET "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

PATCH /scim/v2/Groups/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak

application/scim+json

Nazwa Typ Wymagany Opis
schemas array<string> nie
Operations array<object> tak
Operations[].op string (add, replace, remove, Add, Replace, Remove) tak
Operations[].path string nie
Operations[].value nie
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "[email protected]"
}
]
}
]
}
Status Opis
200 Group updated.
400 Invalid SCIM request.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.

Przykład 200

{
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "grp_service_desk_l1",
"displayName": "Service Desk L1",
"externalId": null,
"members": [
{
"value": "[email protected]",
"type": "User",
"display": "[email protected]"
}
],
"meta": {
"resourceType": "Group",
"created": "2026-11-01T08:00:00.000Z",
"lastModified": "2026-11-01T08:00:00.000Z",
"location": "/scim/v2/Groups/grp_service_desk_l1"
}
}
Okno terminala
curl -X PATCH "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN" \
-H "Content-Type: application/scim+json" \
--data '{"schemas":["urn:ietf:params:scim:api:messages:2.0:PatchOp"],"Operations":[{"op":"add","path":"members","value":[{"value":"[email protected]"}]}]}'

DELETE /scim/v2/Groups/{id}

Uwierzytelnianie: Token SCIM: Authorization: Bearer <token>

Nazwa Miejsce Typ Wymagany Opis
id ścieżka string tak
Status Opis
204 Group deleted.
401 SCIM token missing, invalid, revoked or expired.
404 Resource not found in the token’s tenant.
Okno terminala
curl -X DELETE "https://exocortex-api.ai-exo-cortex.com/scim/v2/Groups/[email protected]" \
-H "Authorization: Bearer $EXO_SCIM_TOKEN"

Strona wygenerowana ze specyfikacji OpenAPI API integracji, wersja 1.1.0.